
Redmine - Defect #8976

Timelog reports date incorrect

2011-08-03 12:08 - Dennis Meissner

Status: Closed Start date: 2011-08-03

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Database: MySql (5.0.82)

Ruby: ruby 1.8.7 (2009-06-12 patchlevel 174) [universal-darwin10.0]

Rails: rails 2.3.11

Redmine: 1.2.1.devel.6393

I noticed some problems with the Timelog report system. When trying to display spent time for a date range, the date columns alwas

have the same date (see screnshot)

Output from production logfile:

Processing TimeEntryReportsController#report (for 172.16.1.181 at 2011-08-03 12:03:39) [GET]

  Parameters: {"criterias"=>["member"], "from"=>"2011-07-01", "action"=>"report", "to"=>"2011-07-3

1", "period_type"=>"2", "controller"=>"time_entry_reports", "columns"=>"day"}

Rendering template within layouts/base

Rendering time_entry_reports/report

Completed in 178ms (View: 84, DB: 2) | 200 OK [http://mobile.bb-k.net/time_entries/report?period_t

ype=2&from=2011-07-01&to=2011-07-31&columns=day&criterias%5B%5D=member]

 If i restart the Server this bug is gone until someone logs time on an issue. After logging time -> same output as screenshot shows.

Plugins:

- Redmine Backlogs

- Redmine Light Box plugin

- Timesheet Plugin

History

#1 - 2011-11-03 16:47 - Fabio Da Soghe

It's the same for us: it's nearly impossible to get useful data from such a report.

It's a great shame: we use Redmine to sum up the total hours worked avery month, and in this state it cannot generate reports, we have to (painfully)

get our totals in another way...

Is anyone working on this issue?

#2 - 2011-11-03 16:47 - Fabio Da Soghe

It's the same for us: it's nearly impossible to get useful data from such a report.

It's a great shame: we use Redmine to sum up the total hours worked every month, and in this state it cannot generate reports, we have to (painfully)

get our totals in another way...

Is anyone working on this issue?

#3 - 2011-11-07 23:10 - Mischa The Evil

Seems that both users experiencing this issue are using the Redmine Backlogs plugin. Dennis mentioned it in this issues description and Fabio

mentioned it in RE: Timelog report broken: nobody uses it?.

I am not able to reproduce the described behavior on a current vanilla Redmine trunk myself. This is the same for Sanjay jain who also is not able to

reproduce it (mentioned in RE: Timelog report broken: nobody uses it?).
This suggests that it's an issue caused by the respectively used versions of the Redmine Backlogs plugin. I'd say you test this without the suspected

plugin(s) and if it's solved you should contact the plugin author about the issue(s) you're experiencing with the plugin.

#4 - 2011-11-09 17:38 - Fabio Da Soghe

We updated Backlogs plugin to the latest tag (v0.6.19) and this issue seems corrected. That is: it's working and we are not able anymore to reproduce

the problem.

#5 - 2011-11-10 18:11 - Mischa The Evil

Fabio Napoleoni Da Soghe: thanks for your feedback on this...

Dennis Møllegaard Pedersen Meissner: can you verify if updating the Backlogs plugin solves your issue too?

#6 - 2011-11-15 11:07 - Dennis Meissner

- Status changed from New to Resolved

- % Done changed from 0 to 100

Updating Redmine Backlogs solved the problem.

Timelog reports are working again.

Thanks to all.

#7 - 2011-11-15 11:32 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for your feedback.
